<?php
/*------------------------------------------------------------------------
# mod_vtem_gmap - VTEM GMAP Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die('Restricted access');
$doc = &JFactory::getDocument();
$doc->addScript("http://maps.google.com/maps/api/js?sensor=false");
if($jqueryload == 1){
$doc->addScript(JURI::root()."modules/mod_vtem_gmap/js/jquery-1.4.2.min.js");
}
if($css != ""){
$style = $css; 
$doc->addStyleDeclaration( $style );
}
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_gmap/js/jquery.gmap.js"></script>
<script type="text/javascript">
var vtem_map = jQuery.noConflict();
(function($) {
$(document).ready(function(){
$('#<?php echo $mapID;?>').gMap({
        <?php if($location == 0){
        echo "address: '".$address."',";
		}else{
		echo "latitude:	".$latitude.",
		longitude:	".$longitude.",";
		}
		?>
		zoom:<?php echo $zoom;?>,
		markers:[<?php echo $markers;?>],
		controls: <?php echo $controls;?>,
		scrollwheel: <?php echo $scrollwheel;?>,
		<?php if($mapicon != -1) :?>
		icon: {image: "<?php echo JURI::root();?>modules/mod_vtem_gmap/images/<?php echo $mapicon;?>",
		shadow:             false,
        iconsize:           [42, 42],
        shadowsize:         false,
        iconanchor:         [22, 46],
        infowindowanchor:   [6, 12]},
		<?php endif;?>
		maptype: '<?php echo $maptype;?>'
});
});
})(jQuery);
</script>
<div id="<?php echo $mapID;?>" style="width:<?php echo $width; ?>px;height:<?php echo $height; ?>px"></div>
